/*
    CaPriCe Forever - Amstrad CPC 464/664/6128 emulator
    Copyright (C) 2014-2018 by Frédéric Coste

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef STRINGS_H
#define STRINGS_H

#include "..\..\Engine\types.h"

#ifdef __cplusplus
extern "C" {
#endif


extern tChar* StringAddString(tChar* bufferP, const tChar* stringP);
extern tUChar StringLength(const tChar* stringP);
extern tChar StringCompare(const tChar* string1P, const tChar* string2P);
extern tChar* StringAddChar(tChar* bufferP, tChar character);
extern tChar* StringAddSpace(tChar* bufferP);
extern tChar* StringAddDecByte(tChar* bufferP, tUChar Value);
extern tChar* StringAddHexByte(tChar* bufferP, tUChar Byte);
extern tChar* StringAddHexShort(tChar* bufferP, tUShort Short);

extern void StringReverse(tChar* str, tUChar len);
extern tUChar StringIntToStr(tLong x, tChar* str);

#ifdef __cplusplus
}  /* End of the 'extern "C"' block */
#endif

#endif /* ! STRINGS_H */
